![travis](https://travis-ci.org/sachinchoolur/lg-thumbnail.svg?branch=master)
![bower](https://img.shields.io/bower/v/lg-thumbnail.svg)
![npm](https://img.shields.io/npm/v/lg-thumbnail.svg)

# Thumbnail module for [lightGallery](http://sachinchoolur.github.io/lightGallery/)
A customizable, modular, responsive, lightbox gallery plugin for jQuery.
![lightgallery](https://raw.githubusercontent.com/sachinchoolur/lightGallery/master/lib/lg.png)

Main features
---

* Animated thumbnails.
* Touch and drag support.
* Automatically load youtube and vimeo thumbnails.
 
Browser support
---
lightgallery supports all major browsers including IE 8 and above..


Installation
---
#### Install with Bower

You can install lightgallery thumbnail plugin using the [Bower](http://bower.io) package manager.

```sh
$ bower install lg-thumbnail --save
```

#### npm

You can also find lightgallery thumbnail plugin on [npm](http://npmjs.org).

```sh
$ npm install lg-thumbnail
```
#### Download from Github

You can also directly download lg-thumbnail from github.

#### CDN
If you prefer to use a CDN you can load files via [jsdelivr](https://www.jsdelivr.com/projects/lg-thumbnail)

#### Include Javascript files
Include lg-thumbnail plugin after lightgallery.min.js.
``` html
<body>
   ---
    <!-- Include lightGallery -->
    <script src="js/lightgallery.min.js"></script>
    
    <!-- Include lg-thumbnail -->
    <script src="js/lg-thumbnail.min.js"></script>
    
    <!-- Include other lightgallery plugins (Optional) -->
    <script src="js/lg-zoom.min.js"></script>
</body>  
```

[Demos](http://sachinchoolur.github.io/lightGallery/demos/) 
----
  
[Docs](http://sachinchoolur.github.io/lightGallery/docs/api.html#lg-thumbnail)
-----

- License
---

#### Commercial license
If you want to use lightGallery to develop commercial sites, themes, projects, and applications, the Commercial license is the appropriate license. With this option, your source code is kept proprietary. Purchase a lightGallery Commercial License at [uplabs.com/posts/lightgallery-plugin](https://www.uplabs.com/posts/lightgallery-plugin)

#### Open source license

If you are creating an open source application under a license compatible with the GNU GPL license v3, you may use this project under the terms of the GPLv3.
 

